#ifndef PW_SCENE_MESH_HPP
#define PW_SCENE_MESH_HPP

#include <pw/core/matrix.hpp>
#include <pw/scene/component.hpp>

namespace pw {

class mesh : public component {
public:
	using component::component;

	typedef std::vector<int32_t> index_t;
	typedef std::vector<float> vertex_t;

	enum topology_type {
		triangles,
		triangle_strip,
		triangle_fan,
		quads,
		lines,
		line_strip,
		points
	};


protected:

	// index data
	// vertex d	ata
	// normal data
	// color data
	// uv data
	// tangents data


	// boundary


};

}

#endif

